extends EnemyBase


# Called when the node enters the scene tree for the first time.

# Called every frame. 'delta' is the elapsed time since the previous frame.+
func _ready() -> void:
	super()
	speed = 0.1 

func _process(delta: float) -> void:
	if is_dying:
		return
	_chase_witch()
	pass

func _on_area_2d_body_entered(body: Node2D) -> void:
	if is_dying:
		return
	if body == player:
		die()
	pass # Replace with function body.
